Name:          jackson-module-jsonSchema
Version:       2.7.6
Release:       %mkrel 1
Group:         Development/Java
Summary:       Jackson JSON Schema Module
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-module-jsonSchema
Source0:       https://github.com/FasterXML/jackson-module-jsonSchema/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
Add-on module for to support JSON Schema version 3 generation.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.jar" -delete

sed -i 's/\r//' src/main/resources/META-INF/LICENSE
cp -p src/main/resources/META-INF/LICENSE .

# ComparisonFailure: Schemas for SchemableBasic differ
rm -r src/test/java/com/fasterxml/jackson/module/jsonSchema/TestReadJsonSchema.java

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed May 17 2017 neoclust <neoclust> 2.7.6-1.mga6
+ Revision: 1102576
- New version 2.7.6

* Wed Mar 02 2016 neoclust <neoclust> 2.6.3-4.mga6
+ Revision: 982497
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 2.6.3-3.mga6
+ Revision: 980865
- imported package jackson-module-jsonSchema

